For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
CommunitySign Up
HomeGuidesVerbsAPI ReferenceSelf-HostingClient SDKsTutorialsChangelog
HomeGuidesVerbsAPI ReferenceSelf-HostingClient SDKsTutorialsChangelog
    • Introduction
  • REST Call Control
  • REST Platform Management
      • GETlist phone numbers
      • POSTprovision a phone number into inventory from a Voip Carrier
      • GETretrieve phone number
      • PUTupdate phone number
      • DELdelete a phone number
  • Webhooks
    • GETNew Call
    • POSTNew Call
    • POSTClient Authentication
    • POSTNew Client Tool Request
  • Websocket API
LogoLogo
CommunitySign Up
REST Platform ManagementPhone Numbers

list phone numbers

GET
https://api.jambonz.cloud/v1/PhoneNumbers
GET
/v1/PhoneNumbers
$curl https://api.jambonz.cloud/v1/PhoneNumbers \
> -H "Authorization: Bearer <token>"
1[
2 {
3 "phone_number_sid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
4 "number": "+14155552671",
5 "voip_carrier_sid": "9b2d7f3e-4c1a-4f8a-9d2e-1a2b3c4d5e6f",
6 "account_sid": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
7 "application_sid": "2a5f6b7c-8d9e-4f0a-b1c2-3d4e5f6a7b8c"
8 }
9]
Was this page helpful?
Previous

provision a phone number into inventory from a Voip Carrier

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Response

list of phone numbers
phone_number_sidstringformat: "uuid"
numberstring
voip_carrier_sidstringformat: "uuid"
account_sidstringformat: "uuid"
application_sidstringformat: "uuid"

Errors

500
Internal Server Error